<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Stats extends CI_Controller {
	
	public function __construct(){
        parent::__construct();
        if (!$this->ion_auth->logged_in()) redirect('login');  
        $this->load->model("stats_model");
        
        if (!$this->ion_auth->in_group("admin")) redirect('home'); 
                   
    }
	
	public function index()
	{
		$data = array();
		
		$data["projects"] = $this->stats_model->getAllProjects();
		$data["tasks"] = $this->stats_model->getAllTasks();
		$data["hours"] = $this->stats_model->getAllHours();
		$data["workers"] = $this->stats_model->getWorkers();
		
		
		$this->template->load('template', 'pages/stats', $data);

	}
	
		
}
