<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Notification {
		public function __construct(){
            $this->CI =& get_instance();    
            $this->CI->load->model("notification_model");
		}
		
		function set($task, $text)
		{	
			$task = $this->CI->notification_model->getTaskDetails($task);
			if ($task["created_by"] == $this->CI->ion_auth->user()->row()->id) $user = $task["user"];
			else $user = $task["created_by"];
			
			$insert = array(
				"task_message" => $task["id"],
				"user" => $user,
				"message" => $text,
				"seen" => 0
			);
			
			$this->CI->notification_model->setNotification($insert);
			
			$userto = $this->CI->notification_model->getUserInfo($user);
			
			if ($userto["notificationmail"] == true){
				$taskname = $this->CI->notification_model->taskStatusName($task["status"]);
				$email = $userto["email"];
				$subject = "Bol aktualizovaný stav úlohy ".$task["name"];
				$text = "Práve bol aktualizovaný stav úlohy ".$task["name"]." používateľom ".$this->CI->ion_auth->user()->row()->username." na ".$taskname;
				$this->email($email, $subject, $text);	
			}
			
			
		}
		
		function email($email, $subject, $text){
			$config = Array(
					    'mailtype'  => 'html', 
					    'charset'   => 'utf-8',
					    'newline'	=> "\r\n"
					);
	
			
			$this->CI->email->initialize($config);
					
			$this->CI->email->from($this->CI->ion_auth->user()->row()->email);
			$this->CI->email->to($email);
			$this->CI->email->message($text);	 
			$this->CI->email->subject($subject);
			$this->CI->email->send();

		}
	
		
}

/* End of file Notification.php */
/* Location: ./system/application/libraries/Notification.php */