<?
	class Ajax_model extends CI_Model {


        public function __construct(){
                // Call the CI_Model constructor
                parent::__construct();
        }
        
        public function updateState($task, $state){
	        return $this->db->where("id", $task)->update("tasks", array("status" => $state, "last_update" => date("Y-m-d H:i:s")));
        }
        
        public function updateClose($task, $time){
	        return $this->db->where("id", $task)->update("tasks", array("closed" => $time, "last_update" => date("Y-m-d H:i:s")));
        }
        
        public function updateHours($task, $time){
	        return $this->db->where("id", $task)->update("tasks", array("time" => $time, "last_update" => date("Y-m-d H:i:s")));
        }
        
         public function getUserNotifications($user){
	        return $this->db->join("tasks", "notification.task_message = tasks.id", "left")->get_where("notification", array("notification.user" => $user, "notification.seen" => 0))->result_array();
        }
        
        public function setSeenNotifications($user){
	        return $this->db->where("user", $user)->update("notification", array("seen" => 1));
        }
        
        public function getStatusName($status){
	        return $this->db->get_where("task_status", array("id" => $status))->row()->name;
        }
        
       
}