<?if (isset($heading)) {?><div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header"><?echo $heading?></h1>
                </div>
                <!-- /.col-lg-12 -->
            </div>
<?}?>

<div class="panel panel-primary">
                        <div class="panel-heading">
                            <?echo $details->name?>
                        </div>
                        <div class="panel-body">
	                     
	                        
                            <div class="table-responsive">
                                <table class="table">
                                    <tbody>
                                        <tr>
                                            <td><strong>Projekt:</strong></td>
                                            <td><?echo $details->project?></td>
                                            <td><strong>Vytvoril:</strong></td>
                                            <td><?echo $details->created_name." ".$details->created_surname?></td>
                                        </tr>
                                        <tr>
                                            <td><strong>Vytvorené:</strong></td>
                                            <td><?echo $details->created?></td>
                                            <td><strong>Posledná zmena:</strong></td>
                                            <td><?echo $details->last_update?></td>
                                        </tr>
                                        <tr>
                                            <td><strong>Typ:</strong></td>
                                            <td><?echo $details->type?></td>
                                            <td><strong>Stav:</strong></td>
                                            <td><select class="state" <?if ($this->ion_auth->in_group("client")) echo "disabled"?>>
	                                            <?foreach ($states as $status){?>
	                                            	<option value="<?echo $status["id"]?>" <?if ($details->status == $status["name"]) echo "selected='selected'"; ?>><?echo $status["name"]?></option>
	                                            <? } ?>
                                            </select>
	                                            <input type="hidden" class="taskid" name="task" value="<?echo $details->id?>">                      </td>
	                                          
                                        </tr>
                                        <?if ($this->ion_auth->in_group("admin")){?>
                                         <tr>
                                            <td></td>
                                            <td></td>
                                            <td><strong>Nastaviť uzávierku úlohy:</strong></td>
                                            <td><input type="text" class="taskend datepicker" name="taskend" value="<?echo $details->closed?>"><button class="btn btn-small btn-success changeend">Zmeniť</button>
	                      </td>
                                        </tr>
                                        <?}?>
                                        <?if ($this->ion_auth->in_group("workers")){?>
                                         <tr>
                                            <td></td>
                                            <td></td>
                                            <td><strong>Počet odpracovaných hodín:</strong></td>
                                            <td><input type="text" class="workerhours" name="workerhours" value="<?echo $details->time?>"><button class="btn btn-small btn-success hourschange">Zmeniť</button>
	                      </td>
                                        </tr>
                                        <?}?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                       
                    </div>
<?echo $crud->output;?>

<script type="text/javascript">
	$(function(){
		$(".state").change(function(){
			$.post( "<?echo base_url()?>ajax/updateTaskStatus", { task: $(".taskid").val(), status: $(".state").val() }, function( data ) {
				var item = jQuery.parseJSON( data );
				if (item.message == "ok") alert("Stav úlohy zmenený");
				else alert("Chyba pri zmenení stavu úlohy");
			});
		});
		
		
		$(".changeend").click(function(){
			$.post( "<?echo base_url()?>ajax/updateTaskClose", { task: $(".taskid").val(), date: $(".taskend").val() }, function( data ) {
				var item = jQuery.parseJSON( data );
				if (item.message == "ok") alert("Uzávierka úlohy zmenená");
				else alert("Chyba pri zmenení stavu úlohy");
			});
		});
		
		$(".hourschange").click(function(){
			$.post( "<?echo base_url()?>ajax/updateTaskHours", { task: $(".taskid").val(), hours: $(".workerhours").val() }, function( data ) {
				var item = jQuery.parseJSON( data );
				if (item.message == "ok") alert("Odpracované hodiny zmenené");
				else alert("Chyba pri zmenení odpracovaných hodín");
			});
		});
		
	});
</script>