<!DOCTYPE html>
<html lang="en">

<head>

	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="">
	<meta name="author" content="">

	<title>Projekt administrátor</title>

	<!-- Bootstrap Core CSS -->
	<link href="<?=base_url()?>assets/bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

	<!-- MetisMenu CSS -->
	<link href="<?=base_url()?>assets/bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

	<!-- Timeline CSS -->
	<link href="<?=base_url()?>assets/dist/css/timeline.css" rel="stylesheet">

	<!-- Custom CSS -->
	<link href="<?=base_url()?>assets/dist/css/sb-admin-2.css" rel="stylesheet">

	<!-- Morris Charts CSS -->
	<link href="<?=base_url()?>assets/bower_components/morrisjs/morris.css" rel="stylesheet">

	<!-- Custom Fonts -->
	<link href="<?=base_url()?>assets/bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
	
	<!-- Datepicker CSS -->
	<link href="<?=base_url()?>assets/css/datepicker.css" rel="stylesheet">
	
	<!-- Custom CSS -->
	<link href="<?=base_url()?>assets/css/custom.css" rel="stylesheet">

	<?php if (isset($css_files)) { foreach($css_files as $file): ?>
		<link type="text/css" rel="stylesheet" href="<?php echo $file; ?>" />
	<?php endforeach; } ?>

	<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
	<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
	<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
	<![endif]-->
	
	<!-- jQuery -->
<script src="<?=base_url()?>assets/bower_components/jquery/dist/jquery.min.js"></script>



<!-- Bootstrap Core JavaScript -->
<script src="<?=base_url()?>assets/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

<!-- Metis Menu Plugin JavaScript -->
<script src="<?=base_url()?>assets/bower_components/metisMenu/dist/metisMenu.min.js"></script>

<?php if (isset($js_files)) { foreach($js_files as $file): ?>
	<script src="<?php echo $file; ?>"></script>
<?php endforeach; }?>

<!-- Datepicker Plugin JavaScript -->
<script src="<?=base_url()?>assets/js/bootstrap-datepicker.js"></script>

<!-- Custom Theme JavaScript -->
<script src="<?=base_url()?>assets/dist/js/sb-admin-2.js"></script>

<script type="text/javascript">
$(function(){
	
	$.fn.loadTask = function() {
		$.post( "<?echo base_url()?>ajax/getNotifications", { user: <?echo $this->ion_auth->user()->row()->id?>}, function( data ) {
		  notif = JSON.parse(data);
		  
		   $(".dropdown-alerts").html("");
		  
		  if (notif.length > 0){
		  
			 
			  
			  for(i=0; i<notif.length; i++){
				  var html = '<li><a href="<?echo base_url()?>tasks/task/'+notif[i].task_message+'"><div><i class="fa fa-comment fa-fw"></i> '+notif[i].name+'<br> '+notif[i].message+'</div></a></li><li class="divider"></li>';
				  $(".dropdown-alerts").append(html);
			  }
		   }
		   else $(".dropdown-alerts").html("<li>Žiadne nové notifikácie</li>");
		  
		  
		});
	}
	
	$(this).loadTask();
	
	setInterval(function(){ $(this).loadTask(); }, 30000);
	
	$(".notif-toggle").click(function(){
		$.post( "<?echo base_url()?>ajax/seenNotifications", { user: <?echo $this->ion_auth->user()->row()->id?>}, function( data ) {
			$(".dropdown-alerts").html("<li>Žiadne nové notifikácie</li>");
		});
	});
	
	
})
</script>


</head>

<body>

<div id="wrapper">

<!-- Navigation -->
<nav class="navbar navbar-default navbar-static-top" role="navigation" style="margin-bottom: 0">
<div class="navbar-header">
	<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
		<span class="sr-only">Toggle navigation</span>
		<span class="icon-bar"></span>
		<span class="icon-bar"></span>
		<span class="icon-bar"></span>
	</button>
	<a class="navbar-brand" href="index.html">Projekt administrátor</a>
</div>
<!-- /.navbar-header -->

<ul class="nav navbar-top-links navbar-right">


<li class="dropdown">
	<a class="dropdown-toggle" data-toggle="dropdown" href="#">
		<i class="fa fa-user fa-fw"></i>  <i class="fa fa-caret-down"></i>
	</a>
	<ul class="dropdown-menu dropdown-user">
		<li><a href="#"><i class="fa fa-user fa-fw"></i> Môj profil</a>
		</li>
		<li class="divider"></li>
		<li><a href="<?= base_url()?>logout"><i class="fa fa-sign-out fa-fw"></i> Odhlásiť sa</a>
		</li>
	</ul>
	<!-- /.dropdown-user -->
</li>

<li class="dropdown">
                    <a class="dropdown-toggle notif-toggle" data-toggle="dropdown" href="#">
                        <i class="fa fa-bell fa-fw"></i>  <i class="fa fa-caret-down"></i>
                    </a>
                    <ul class="dropdown-menu dropdown-alerts">
                        <li>
                            Žiadna nová úloha
                        </li>
                         </ul>
                    <!-- /.dropdown-alerts -->
                </li>
<!-- /.dropdown -->
</ul>
<!-- /.navbar-top-links -->

<div class="navbar-default sidebar" role="navigation">
	<div class="sidebar-nav navbar-collapse">
		<ul class="nav" id="side-menu">
			<li>
				<a href="<?= base_url()?>"><i class="fa fa-dashboard fa-fw"></i> Úvod</a>
			</li>
			<?if ($this->ion_auth->in_group("admin")){?>
			<li>
				<a href="<?= base_url()?>users"><i class="fa fa-users"></i> Používatelia</a>
			</li>
			<?}?>
			<li>
				<a href="<?= base_url()?>projects"><i class="fa fa-navicon"></i> Projekty</a>
			</li>
			<?if (!$this->ion_auth->in_group("clients")){?>
			<li>
				<a href="<?= base_url()?>tasks"><i class="fa fa-tasks"></i> Úlohy</a>
			</li>
			<?}?>
			<?if ($this->ion_auth->in_group("admin")){?>
			<li>
				<a href="<?= base_url()?>stats"><i class="fa fa-bar-chart"></i> Štatistiky</a>
			</li>
			<?}?>
			
			
		</ul>
	</div>
	<!-- /.sidebar-collapse -->
</div>
<!-- /.navbar-static-side -->
</nav>
<div id="page-wrapper">
<?= $contents?>
</div>
<!-- /#page-wrapper -->

</div>
<!-- /#wrapper -->



</body>

</html>