<div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header"><?php echo lang('edit_user_heading');?></h1>
                </div>
                <!-- /.col-lg-12 -->
            </div>

<div id="infoMessage"><?php echo $message;?></div>

<?php echo form_open(uri_string());?>
	
	<div class="form-group">
     <label><?php echo lang('edit_user_fname_label', 'first_name');?></label>
     <?php echo form_input($first_name, '' ,"class='form-control'");?>
                              
</div>

<div class="form-group">
     <label><?php echo lang('edit_user_lname_label', 'last_name');?> </label>
     <?php echo form_input($last_name, '' ,"class='form-control'");?>
                              
</div>

<div class="form-group">
     <label><?php echo lang('edit_user_company_label', 'company');?></label>
     <?php echo form_input($company, '' ,"class='form-control'");?>
                              
</div>

<div class="form-group">
     <label><?php echo lang('create_user_email_label', 'email');?></label>
     <?php echo form_input($email, '' ,"class='form-control'");?>
                              
</div>

<div class="form-group">
     <label><?php echo lang('edit_user_phone_label', 'phone');?></label>
     <?php echo form_input($phone, '' ,"class='form-control'");?>
                              
</div>

<div class="form-group">
     <label>Skype</label>
     <?php echo form_input($skype, '' ,"class='form-control'");?>
                              
</div>

<div class="form-group">
     <input type="checkbox" name="notificationmail" <?php echo set_checkbox('notificationmail', $user->notificationmail); ?>> Notifikácie emailom
                              
</div>

<div class="form-group">
     <label><?php echo lang('edit_user_password_label', 'password');?></label>
     <?php echo form_input($password, '' ,"class='form-control'");?>
                              
</div>

<div class="form-group">
     <label><?php echo lang('edit_user_password_confirm_label', 'password_confirm');?></label>
     <?php echo form_input($password_confirm, '' ,"class='form-control'");?>
                              
</div>


      <?php if ($this->ion_auth->is_admin()): ?>

          <h3><?php echo lang('edit_user_groups_heading');?></h3>
          <?php foreach ($groups as $group):?>
          <div class="checkbox">
	          <?php
                  $gID=$group['id'];
                  $checked = null;
                  $item = null;
                  foreach($currentGroups as $grp) {
                      if ($gID == $grp->id) {
                          $checked= ' checked="checked"';
                      break;
                      }
                  }
              ?>
        <label>
            <input type="checkbox" name="groups[]" value="<?php echo $group['id'];?>"<?php echo $checked;?>><?php echo $group['name'];?>
        </label>
      </div>
         
          <?php endforeach?>

      <?php endif ?>

      <?php echo form_hidden('id', $user->id);?>
      <?php echo form_hidden($csrf); ?>

      <p><?php echo form_submit('submit', lang('edit_user_submit_btn'), 'class="btn btn-success"');?></p>

<?php echo form_close();?>
