-- phpMyAdmin SQL Dump
-- version 4.2.7.1
-- http://www.phpmyadmin.net
--
-- Hostiteľ: localhost
-- Čas generovania: Št 21.Máj 2015, 00:56
-- Verzia serveru: 5.6.20
-- Verzia PHP: 5.5.15

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Databáza: `bakalarka`
--

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `groups`
--

DROP TABLE IF EXISTS `groups`;
CREATE TABLE IF NOT EXISTS `groups` (
`id` mediumint(8) unsigned NOT NULL,
  `name` varchar(20) NOT NULL,
  `description` varchar(100) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Sťahujem dáta pre tabuľku `groups`
--

INSERT INTO `groups` (`id`, `name`, `description`) VALUES
(1, 'admin', 'Administrator'),
(2, 'workers', 'pracovníci'),
(4, 'clients', 'Klienti');

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `login_attempts`
--

DROP TABLE IF EXISTS `login_attempts`;
CREATE TABLE IF NOT EXISTS `login_attempts` (
`id` int(11) unsigned NOT NULL,
  `ip_address` varchar(15) NOT NULL,
  `login` varchar(100) NOT NULL,
  `time` int(11) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `notification`
--

DROP TABLE IF EXISTS `notification`;
CREATE TABLE IF NOT EXISTS `notification` (
`id` int(11) NOT NULL,
  `task_message` int(11) NOT NULL,
  `user` int(10) unsigned NOT NULL,
  `message` text COLLATE utf8_slovak_ci NOT NULL,
  `seen` tinyint(4) DEFAULT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci AUTO_INCREMENT=17 ;

--
-- Sťahujem dáta pre tabuľku `notification`
--

INSERT INTO `notification` (`id`, `task_message`, `user`, `message`, `seen`) VALUES
(4, 5, 5, 'test', 1),
(7, 5, 1, 'Nejaký update tasku', 1),
(8, 5, 1, 'Nejaký update tasku', 1),
(9, 5, 1, 'Nejaký update tasku', 1),
(16, 13, 1, 'Používateľ administrator zmenil stav na Vrátená na opravu', 0);

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `projects`
--

DROP TABLE IF EXISTS `projects`;
CREATE TABLE IF NOT EXISTS `projects` (
`id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_slovak_ci NOT NULL,
  `client` int(11) NOT NULL,
  `description` text COLLATE utf8_slovak_ci NOT NULL,
  `created` datetime NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci AUTO_INCREMENT=5 ;

--
-- Sťahujem dáta pre tabuľku `projects`
--

INSERT INTO `projects` (`id`, `name`, `client`, `description`, `created`) VALUES
(4, 'Tvorba Webstránky', 6, '<p>\r\n	Tvorba webstr&aacute;nky pre v&yacute;znamn&eacute;ho klienta</p>\r\n', '2015-03-11 07:30:08');

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `tasks`
--

DROP TABLE IF EXISTS `tasks`;
CREATE TABLE IF NOT EXISTS `tasks` (
`id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_slovak_ci NOT NULL,
  `project` int(11) NOT NULL,
  `created_by` int(11) unsigned NOT NULL,
  `created` datetime NOT NULL,
  `last_update` datetime NOT NULL,
  `closed` datetime NOT NULL,
  `type` int(11) NOT NULL,
  `status` int(11) NOT NULL,
  `text` text COLLATE utf8_slovak_ci NOT NULL,
  `prerequisite` int(11) DEFAULT NULL,
  `user` int(11) NOT NULL,
  `time` decimal(6,2) NOT NULL,
  `task_time` decimal(6,2) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci AUTO_INCREMENT=14 ;

--
-- Sťahujem dáta pre tabuľku `tasks`
--

INSERT INTO `tasks` (`id`, `name`, `project`, `created_by`, `created`, `last_update`, `closed`, `type`, `status`, `text`, `prerequisite`, `user`, `time`, `task_time`) VALUES
(5, 'Tvorba dizajnu stránky', 4, 1, '2015-04-08 07:58:26', '2015-05-20 22:49:28', '2015-04-10 00:00:00', 1, 5, '<p>\r\n	Tvorba dizajnu str&aacute;nky podľa predlohy z&aacute;kazn&iacute;ka.</p>\r\n', NULL, 5, '8.00', '10.00'),
(12, 'Nakódovanie dizajnu', 4, 1, '2015-04-12 08:08:24', '2015-04-12 08:08:24', '2015-04-15 10:00:00', 1, 5, '<p>\r\n	Nak&oacute;dovanie dizajnu podľa predlohy</p>\r\n', 5, 5, '6.00', '4.00'),
(13, 'Nasadenie dizajnu do CMS', 4, 1, '2015-04-16 08:09:28', '2015-05-20 23:02:18', '2015-04-22 10:17:00', 1, 4, '<p>\r\n	Nasadenie nak&oacute;dovan&eacute;ho dizajnu do CMS</p>\r\n', 12, 1, '3.00', '3.00');

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `task_message`
--

DROP TABLE IF EXISTS `task_message`;
CREATE TABLE IF NOT EXISTS `task_message` (
  `id` int(11) NOT NULL,
  `author` int(11) unsigned NOT NULL,
  `task` int(11) NOT NULL,
  `message` text COLLATE utf8_slovak_ci NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci;

--
-- Sťahujem dáta pre tabuľku `task_message`
--

INSERT INTO `task_message` (`id`, `author`, `task`, `message`, `created`, `modified`) VALUES
(0, 1, 5, '<p>\r\n	Treba zvoliť &scaron;&iacute;rku 990px a niečo</p>\r\n', '2015-05-20 18:06:27', '2015-05-20 19:00:28');

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `task_status`
--

DROP TABLE IF EXISTS `task_status`;
CREATE TABLE IF NOT EXISTS `task_status` (
`id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci AUTO_INCREMENT=6 ;

--
-- Sťahujem dáta pre tabuľku `task_status`
--

INSERT INTO `task_status` (`id`, `name`) VALUES
(1, 'Nová'),
(2, 'Rozpracovaná'),
(3, 'Na schválenie'),
(4, 'Vrátená na opravu'),
(5, 'Ukončená');

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `task_type`
--

DROP TABLE IF EXISTS `task_type`;
CREATE TABLE IF NOT EXISTS `task_type` (
`id` int(11) NOT NULL,
  `name` varchar(255) COLLATE utf8_slovak_ci NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_slovak_ci AUTO_INCREMENT=4 ;

--
-- Sťahujem dáta pre tabuľku `task_type`
--

INSERT INTO `task_type` (`id`, `name`) VALUES
(1, 'Vývoj'),
(2, 'Podpora'),
(3, 'Chyba');

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `users`
--

DROP TABLE IF EXISTS `users`;
CREATE TABLE IF NOT EXISTS `users` (
`id` int(11) unsigned NOT NULL,
  `ip_address` varchar(15) NOT NULL,
  `username` varchar(100) NOT NULL,
  `password` varchar(255) NOT NULL,
  `salt` varchar(255) DEFAULT NULL,
  `email` varchar(100) NOT NULL,
  `activation_code` varchar(40) DEFAULT NULL,
  `forgotten_password_code` varchar(40) DEFAULT NULL,
  `forgotten_password_time` int(11) unsigned DEFAULT NULL,
  `remember_code` varchar(40) DEFAULT NULL,
  `created_on` int(11) unsigned NOT NULL,
  `last_login` int(11) unsigned DEFAULT NULL,
  `active` tinyint(1) unsigned DEFAULT NULL,
  `first_name` varchar(50) DEFAULT NULL,
  `last_name` varchar(50) DEFAULT NULL,
  `company` varchar(100) DEFAULT NULL,
  `phone` varchar(20) DEFAULT NULL,
  `skype` varchar(45) NOT NULL,
  `notificationmail` tinyint(4) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Sťahujem dáta pre tabuľku `users`
--

INSERT INTO `users` (`id`, `ip_address`, `username`, `password`, `salt`, `email`, `activation_code`, `forgotten_password_code`, `forgotten_password_time`, `remember_code`, `created_on`, `last_login`, `active`, `first_name`, `last_name`, `company`, `phone`, `skype`, `notificationmail`) VALUES
(1, '127.0.0.1', 'administrator', '$2a$07$SeBknntpZror9uyftVopmu61qg0ms8Qv1yV6FG.kQOSM.9QhmTo36', '', 'vatrtj@gmail.com', '', NULL, NULL, 'WLbyJ0G5fZKrEQx1D8sS6u', 1268889823, 1432155308, 1, 'Jakub', 'Vatrt', 'ADMIN', '12345', 'Jakub Vatrt', 0),
(5, '::1', 'pracant pracovič', '$2y$08$5/wJgzZ50wjnNJKH6GWMIOcfDMTe4Z/1d6PBkxUYhfxlNHSBfmOYa', NULL, 'pracant@testovacia.com', NULL, NULL, NULL, NULL, 1432099679, 1432153791, 1, 'Pracant', 'Pracovič', 'Testovacia', '12345', '', 0),
(6, '::1', 'zákazník obrovský', '$2y$08$/Pz8fXhq14AXte4Tu55KSOlwl2ShTyX9GUznjZUeMjgWRwyHYHfPS', NULL, 'obrovsky@klient.com', NULL, NULL, NULL, NULL, 1432099738, 1432155140, 1, 'Zákazník', 'Obrovský', 'Klient', '12345', '', 0);

-- --------------------------------------------------------

--
-- Štruktúra tabuľky pre tabuľku `users_groups`
--

DROP TABLE IF EXISTS `users_groups`;
CREATE TABLE IF NOT EXISTS `users_groups` (
`id` int(11) unsigned NOT NULL,
  `user_id` int(11) unsigned NOT NULL,
  `group_id` mediumint(8) unsigned NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21 ;

--
-- Sťahujem dáta pre tabuľku `users_groups`
--

INSERT INTO `users_groups` (`id`, `user_id`, `group_id`) VALUES
(14, 1, 1),
(15, 1, 2),
(19, 5, 2),
(20, 6, 4);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `groups`
--
ALTER TABLE `groups`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `login_attempts`
--
ALTER TABLE `login_attempts`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `notification`
--
ALTER TABLE `notification`
 ADD PRIMARY KEY (`id`), ADD KEY `notification_user` (`user`), ADD KEY `task_message` (`task_message`);

--
-- Indexes for table `projects`
--
ALTER TABLE `projects`
 ADD PRIMARY KEY (`id`), ADD KEY `client` (`client`), ADD KEY `projectclient` (`client`);

--
-- Indexes for table `tasks`
--
ALTER TABLE `tasks`
 ADD PRIMARY KEY (`id`), ADD KEY `project` (`project`), ADD KEY `created_by` (`created_by`), ADD KEY `type` (`type`), ADD KEY `status` (`status`), ADD KEY `user_task` (`user`);

--
-- Indexes for table `task_message`
--
ALTER TABLE `task_message`
 ADD PRIMARY KEY (`id`), ADD KEY `task_message` (`task`), ADD KEY `task_message_author` (`author`);

--
-- Indexes for table `task_status`
--
ALTER TABLE `task_status`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `task_type`
--
ALTER TABLE `task_type`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
 ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users_groups`
--
ALTER TABLE `users_groups`
 ADD PRIMARY KEY (`id`), ADD UNIQUE KEY `uc_users_groups` (`user_id`,`group_id`), ADD KEY `fk_users_groups_users1_idx` (`user_id`), ADD KEY `fk_users_groups_groups1_idx` (`group_id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `groups`
--
ALTER TABLE `groups`
MODIFY `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `login_attempts`
--
ALTER TABLE `login_attempts`
MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT for table `notification`
--
ALTER TABLE `notification`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=17;
--
-- AUTO_INCREMENT for table `projects`
--
ALTER TABLE `projects`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `tasks`
--
ALTER TABLE `tasks`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=14;
--
-- AUTO_INCREMENT for table `task_status`
--
ALTER TABLE `task_status`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=6;
--
-- AUTO_INCREMENT for table `task_type`
--
ALTER TABLE `task_type`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT for table `users_groups`
--
ALTER TABLE `users_groups`
MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=21;
--
-- Obmedzenie pre exportované tabuľky
--

--
-- Obmedzenie pre tabuľku `tasks`
--
ALTER TABLE `tasks`
ADD CONSTRAINT `created_by` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
ADD CONSTRAINT `project` FOREIGN KEY (`project`) REFERENCES `projects` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
ADD CONSTRAINT `status` FOREIGN KEY (`status`) REFERENCES `task_status` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
ADD CONSTRAINT `type` FOREIGN KEY (`type`) REFERENCES `task_type` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Obmedzenie pre tabuľku `task_message`
--
ALTER TABLE `task_message`
ADD CONSTRAINT `author_message` FOREIGN KEY (`author`) REFERENCES `users` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
ADD CONSTRAINT `task_message` FOREIGN KEY (`task`) REFERENCES `tasks` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Obmedzenie pre tabuľku `users_groups`
--
ALTER TABLE `users_groups`
ADD CONSTRAINT `fk_users_groups_groups1` FOREIGN KEY (`group_id`) REFERENCES `groups` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION,
ADD CONSTRAINT `fk_users_groups_users1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
