<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Ajax extends CI_Controller {
	
	public function __construct(){
        parent::__construct();
        if (!$this->ion_auth->logged_in()) redirect('login');  
        $this->load->model("ajax_model");           
    }
    
    public function updateTaskStatus(){
	    if ($this->input->post("status") != null and $this->input->post("task") != null) {
		    $this->ajax_model->updateState($this->input->post("task"), $this->input->post("status"));
		    echo json_encode(array("message" => "ok"));
		    $name = $this->ajax_model->getStatusName($this->input->post("status"));
		    $this->notification->set($this->input->post("task"), "Používateľ ".$this->ion_auth->user()->row()->username." zmenil stav na ".$name);
	    }
	    else echo json_encode(array("message" => "error"));
	    
    }
    
    public function updateTaskClose(){
	    if ($this->input->post("date") != null and $this->input->post("task") != null) {
		    $this->ajax_model->updateClose($this->input->post("task"), date("Y-m-d H:i:s", strtotime($this->input->post("date"))));
		    echo json_encode(array("message" => "ok"));
	    }
	    else echo json_encode(array("message" => "error"));
	    
    }
    
    public function updateTaskHours(){
	    if ($this->input->post("hours") != null and $this->input->post("task") != null) {
		    $this->ajax_model->updateHours($this->input->post("task"), $this->input->post("hours"));
		    echo json_encode(array("message" => "ok"));
	    }
	    else echo json_encode(array("message" => "error"));
	    
    }
    
    public function getNotifications(){
	    if ($this->input->post("user")){
		    echo json_encode($this->ajax_model->getUserNotifications($this->input->post("user")));
	    }
	    else echo json_encode(array("message" => "error"));
    }
    
    public function seenNotifications(){
	    if ($this->input->post("user")){
		    $this->ajax_model->setSeenNotifications($this->input->post("user"));
	    }
	    else echo json_encode(array("message" => "error"));
    }

}