<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/**
* Name:  Auth Lang - Slovak
*
* Author: Jakub Vatrt
* 		  vatrtj@gmail.com
*         @benedmunds
*
* Location: http://github.com/benedmunds/ion_auth/
*
* Created:  27.08.2014
*
* Description:  Slovak language file for Ion Auth example views
*
*/

// chyby 
$lang['error_csrf'] = 'Tento formulár neprešiel našou bezpečnostnou kontrolou'; 

// Prihlásiť 
$lang['login_heading'] = 'Prihlásenie'; 
$lang['login_subheading'] = 'Prosím prihláste sa s Vaším emailom alebo užívateľským meno a heslom '; 
$lang['login_identity_label'] = 'Email / Užívateľské meno:'; 
$lang['login_password_label'] = 'Heslo'; 
$lang['login_remember_label'] = 'Zapamätať si ma:'; 
$lang['login_submit_btn'] = 'Prihlásenie'; 
$lang['login_forgot_password'] = 'Zabudli ste heslo?'; 

// Index 
$lang['index_heading'] = 'Používatelia'; 
$lang['index_subheading'] = 'Nižšie je zoznam používateľov.'; 
$lang['index_fname_th'] = 'Meno'; 
$lang['index_lname_th'] = 'Priezvisko'; 
$lang['index_email_th'] = 'E-mail'; 
$lang['index_groups_th'] = 'Skupiny'; 
$lang['index_status_th'] = 'Stav'; 
$lang['index_action_th'] = 'Akcia'; 
$lang['index_active_link'] = 'Aktívne'; 
$lang['index_inactive_link'] = 'Neaktívne'; 
$lang['index_create_user_link'] = 'Vytvoriť používateľa'; 
$lang['index_create_group_link'] = 'Vytvoriť novú skupinu '; 

// Deaktivovať používateľa 
$lang['deactivate_heading'] = 'Deaktivovať používateľa'; 
$lang['deactivate_subheading'] = 'Ste si istí, že chcete deaktivovať používateľa \'%s\''; 
$lang['deactivate_confirm_y_label'] = 'Áno'; 
$lang['deactivate_confirm_n_label'] = 'Nie'; 
$lang['deactivate_submit_btn'] = 'Odoslať'; 
$lang['deactivate_validation_confirm_label'] = 'potvrdenie'; 
$lang['deactivate_validation_user_id_label'] = 'user ID'; 

// Vytvoriť užívateľa 
$lang['create_user_heading'] = 'Vytvoriť používateľa'; 
$lang['create_user_subheading'] = 'Prosím, zadajte informácie o používateľovi.'; 
$lang['create_user_fname_label'] = 'Meno:'; 
$lang['create_user_lname_label'] = 'Priezvisko:'; 
$lang['create_user_company_label'] = 'Názov spoločnosti:'; 
$lang['create_user_email_label'] = 'E-mail'; 
$lang['create_user_phone_label'] = 'Telefón:'; 
$lang['create_user_password_label'] = 'Heslo'; 
$lang['create_user_password_confirm_label'] = 'Potvrdiť heslo:'; 
$lang['create_user_submit_btn'] = 'Vytvoriť používateľa'; 
$lang['create_user_validation_fname_label'] = 'Meno'; 
$lang['create_user_validation_lname_label'] = 'Priezvisko'; 
$lang['create_user_validation_email_label'] = 'E-mailová adresa'; 
$lang['create_user_validation_phone1_label'] = 'Prvá časť telefónu'; 
$lang['create_user_validation_phone2_label'] = 'Druhá časť telefónu'; 
$lang['create_user_validation_phone3_label'] = 'Tretia časť telefónu'; 
$lang['create_user_validation_company_label'] = 'Názov spoločnosti'; 
$lang['create_user_validation_password_label'] = 'Heslo'; 
$lang['create_user_validation_password_confirm_label'] = 'Heslo znovu'; 

// Upraviť užívateľa 
$lang['edit_user_heading'] = 'Upraviť používateľa'; 
$lang['edit_user_subheading'] = 'Prosím, zadajte informácie užívateľom nižšie.'; 
$lang['edit_user_fname_label'] = 'Meno:'; 
$lang['edit_user_lname_label'] = 'Priezvisko:'; 
$lang['edit_user_company_label'] = 'Názov spoločnosti:'; 
$lang['edit_user_email_label'] = 'E-mail'; 
$lang['edit_user_phone_label'] = 'Telefón:'; 
$lang['edit_user_password_label'] = 'Heslo: (ak meníte heslo) '; 
$lang['edit_user_password_confirm_label'] = 'Potvrdiť heslo: (ak meníte heslo) '; 
$lang['edit_user_groups_heading'] = 'Člen skupiny'; 
$lang['edit_user_submit_btn'] = 'Uložiť užívateľov'; 
$lang['edit_user_validation_fname_label'] = 'Meno'; 
$lang['edit_user_validation_lname_label'] = 'Priezvisko'; 
$lang['edit_user_validation_email_label'] = 'E-mailová adresa'; 
$lang['edit_user_validation_phone_label'] = 'Telefón';
$lang['edit_user_validation_signature_label'] = 'Podpis';
$lang['edit_user_validation_phone1_label'] = 'Prvá čast telefónu'; 
$lang['edit_user_validation_phone2_label'] = 'Druhá časť telefónu'; 
$lang['edit_user_validation_phone3_label'] = 'Tretia časť telefónu'; 
$lang['edit_user_validation_company_label'] = 'Názov spoločnosti'; 
$lang['edit_user_validation_groups_label'] = 'Skupiny'; 
$lang['edit_user_validation_password_label'] = 'Heslo'; 
$lang['edit_user_validation_password_confirm_label'] = 'Heslo znovu'; 

// Vytvoriť skupinu 
$lang['create_group_title'] = 'Vytvoriť skupinu'; 
$lang['create_group_heading'] = 'Vytvoriť skupinu'; 
$lang['create_group_subheading'] = 'Prosím, zadajte informácie o skupine'; 
$lang['create_group_name_label'] = 'Názov skupiny: '; 
$lang['create_group_desc_label'] = 'Popis:'; 
$lang['create_group_submit_btn'] = 'Vytvoriť skupinu '; 
$lang['create_group_validation_name_label'] = 'Názov skupiny'; 
$lang['create_group_validation_desc_label'] = 'Popis'; 

// Upraviť skupinu 
$lang['edit_group_title'] = 'Upraviť skupinu '; 
$lang['edit_group_saved'] = 'Skupina uložené'; 
$lang['edit_group_heading'] = 'Upraviť skupinu '; 
$lang['edit_group_subheading'] = 'Prosím, zadajte informácie o skupine nižšie.'; 
$lang['edit_group_name_label'] = 'Názov skupiny:'; 
$lang['edit_group_desc_label'] = 'Popis:'; 
$lang['edit_group_submit_btn'] = 'Vytvoriť skupinu'; 
$lang['edit_group_validation_name_label'] = 'Názov skupiny'; 
$lang['edit_group_validation_desc_label'] = 'Popis'; 

// Zmeniť heslo 
$lang['change_password_heading'] = 'Zmeniť heslo'; 
$lang['change_password_old_password_label'] = 'Staré heslo: '; 
$lang['change_password_new_password_label'] = 'Nové heslo (dlhé najmenej %s znakov):'; 
$lang['change_password_new_password_confirm_label'] = 'Potvrdiť nové heslo: '; 
$lang['change_password_submit_btn'] = 'Zmeniť'; 
$lang['change_password_validation_old_password_label'] = 'Staré heslo '; 
$lang['change_password_validation_new_password_label'] = 'Nové heslo '; 
$lang['change_password_validation_new_password_confirm_label'] = 'Potvrdiť nové heslo'; 

// Zabudnuté heslo 
$lang['forgot_password_heading'] = 'Zabudnuté heslo'; 
$lang['forgot_password_subheading'] = 'Prosím, zadajte %s, aby sme vám mohli poslať e-mail pre obnovenie svojho hesla'; 
$lang['forgot_password_email_label'] = '%s:'; 
$lang['forgot_password_submit_btn'] = 'Odoslať'; 
$lang['forgot_password_validation_email_label'] = 'E-mailová adresa'; 
$lang['forgot_password_username_identity_label'] = 'Užívateľské meno'; 
$lang['forgot_password_email_identity_label'] = 'E-mail'; 
$lang['forgot_password_email_not_found'] = 'Žiadny záznam tejto e-mailovej adresy.'; 

// Obnoviť heslo 
$lang['reset_password_heading'] = 'Zmeniť heslo'; 
$lang['reset_password_new_password_label'] = 'Nové heslo (dlhé najmenej %s znakov):'; 
$lang['reset_password_new_password_confirm_label'] = 'Potvrdiť nové heslo: '; 
$lang['reset_password_submit_btn'] = 'Zmeniť'; 
$lang['reset_password_validation_new_password_label'] = 'Nové heslo '; 
$lang['reset_password_validation_new_password_confirm_label'] = 'Potvrdiť nové heslo'; 

// Aktivačný e-mail 
$lang['email_activate_heading'] = 'Aktivovať účet pre %s'; 
$lang['email_activate_subheading'] = 'Prosím, kliknite na tento odkaz %s aby sme vedeli obnoviť vaše heslo'; 
$lang['email_activate_link'] = 'Aktivovať Váš účet'; 

// Zabudnuté heslo E-mail 
$lang['email_forgot_password_heading'] = 'Reset hesla pre %s'; 
$lang['email_forgot_password_subheading'] = 'Prosím, kliknite na tento odkaz na %s'; 
$lang['email_forgot_password_link'] = 'Reset hesla'; 

// Nové heslo e-mail 
$lang['email_new_password_heading'] = 'nové heslo pre %s'; 
$lang['email_new_password_subheading'] = 'Vaše heslo bolo obnovené: %s';

