<?
	class Home_model extends CI_Model {


        public function __construct(){
                // Call the CI_Model constructor
                parent::__construct();
        }
        
        
        
         public function getNotifications($user){
	        return $this->db->where(array("user" => $user, "notification.seen" => 0))->count_all_results("notification");
        }
        
		public function getProjects($user){
	        return $this->db->where(array("client" => $user))->count_all_results("projects");
        }
        
        public function getAllProjects(){
	        return $this->db->count_all_results("projects");
        }
        
        public function getUserTasks($user){
	        return $this->db->select("tasks.name as name, tasks.last_update as time, task_status.name as status, tasks.id as id")->join("task_status", "tasks.status = task_status.id", "left")->get_where("tasks", array("tasks.user" => $user))->result_array();
        }
        
        public function getAdminTasks($user){
	        return $this->db->select("tasks.name as name, tasks.last_update as time, task_status.name as status, tasks.id as id")->join("task_status", "tasks.status = task_status.id", "left")->get("tasks")->result_array();
        }
        
        public function getAllProjectsWorker($user){
	        return $this->db->where(array("user" => $user))->group_by("project")->count_all_results("tasks");
        }
        
        public function getUserNotifications($user){
	        return $this->db->join("tasks", "notification.task_message = tasks.id", "left")->get_where("notification", array("notification.user" => $user))->result_array();
        }
        
        public function getNewTasksWorker($user){
	        return $this->db->where(array("user" => $user, "status" => 1))->count_all_results("tasks");
        }
        
        public function getNewTasksAdmin($user){
	        return $this->db->where(array("created_by" => $user, "status" => 1))->count_all_results("tasks");
        }
        
        public function getFinishedTasksWorker($user){
	        return $this->db->where(array("user" => $user,  "status" => 5))->count_all_results("tasks");
        }
        
        public function getFinishedTasksAdmin($user){
	        return $this->db->where(array("created_by" => $user,  "status" => 5))->count_all_results("tasks");
        }
        
       
}