<?
	class Tasks_model extends CI_Model {


        public function __construct(){
                // Call the CI_Model constructor
                parent::__construct();
        }
        
        public function getProjectName($project = null){
	     	return $this->db->select("name")->get_where("projects", array("id" => $project))->row()->name;
        }
        
        public function getTaskDetails($task = null){
	     	$this->db->select("tasks.id as id, tasks.time as time, tasks.name AS name, projects.name AS project, users.first_name AS created_name, users.last_name AS created_surname, tasks.created as created, last_update, closed, task_type.name as type, task_status.name as status" );
	     	$this->db->from("tasks");
	     	$this->db->where("tasks.id", $task);
	     	$this->db->join("projects", "tasks.project = projects.id", "left");
	     	$this->db->join("users", "tasks.created_by = users.id", "left");
	     	$this->db->join("task_type", "tasks.type = task_type.id", "left");
	     	$this->db->join("task_status", "tasks.status = task_status.id", "left");
	     	return $this->db->get()->row();
        }
        
        public function getStates(){
	        return $this->db->get("task_status")->result_array();
        }

}