
<!DOCTYPE html>
<html lang="en">

<head>

	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta name="description" content="">
	<meta name="author" content="">

	<title>Projekt administrátor prihlásenie</title>

	<!-- Bootstrap Core CSS -->
	<link href="<?= base_url()?>assets/bower_components/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">

	<!-- MetisMenu CSS -->
	<link href="<?= base_url()?>assets/bower_components/metisMenu/dist/metisMenu.min.css" rel="stylesheet">

	<!-- Custom CSS -->
	<link href="<?= base_url()?>assets/dist/css/sb-admin-2.css" rel="stylesheet">

	<!-- Custom Fonts -->
	<link href="<?= base_url()?>assets/bower_components/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">

	<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
	<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
	<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
	<![endif]-->

</head>

<body>


<div class="container">
	<div class="row">
		<div class="col-md-4 col-md-offset-4">
			<div class="login-panel panel panel-default">
				<div class="panel-heading">
					<h3 class="panel-title"><?php echo lang('login_heading');?></h3>
				</div>
				<div class="panel-body">
					<div id="infoMessage"><?php echo $message;?></div>
					<?php echo form_open("login");?>
						<fieldset>
							<div class="form-group">
								<input class="form-control" placeholder="E-mail" name="identity" type="email" autofocus>
							</div>
							<div class="form-group">
								<input class="form-control" placeholder="Heslo" name="password" type="password" value="">
							</div>
							<div class="checkbox">
								<label>
									<?php echo form_checkbox('remember', '1', FALSE, 'id="remember"');?>Neodhlasovať
								</label>
							</div>

							<p><?php echo form_submit('submit', lang('login_submit_btn'), 'class="btn btn-lg btn-success btn-block"');?></p>


						</fieldset>
					<?php echo form_close();?>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- jQuery -->
<script src="<?= base_url()?>assets/bower_components/jquery/dist/jquery.min.js"></script>

<!-- Bootstrap Core JavaScript -->
<script src="<?= base_url()?>assets/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>

<!-- Metis Menu Plugin JavaScript -->
<script src="<?= base_url()?>assets/bower_components/metisMenu/dist/metisMenu.min.js"></script>

<!-- Custom Theme JavaScript -->
<script src="<?= base_url()?>assets/distkubo
/js/sb-admin-2.js"></script>

</body>

</html>
