<div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Úvod</h1>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-comments fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?echo $notifications?></div>
                                    <div>Nové notifikácie</div>
                                </div>
                            </div>
                        </div>
                        <a href="<?echo base_url()?>home/notifications">
                            <div class="panel-footer">
                                <span class="pull-left">Zobraziť</span>
                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                <div class="clearfix"></div>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-navicon fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?echo $projects?></div>
                                    <div>Projektov</div>
                                </div>
                            </div>
                        </div>
                        <a href="<?echo base_url()?>projects">
                            <div class="panel-footer">
                                <span class="pull-left">Zobraziť</span>
                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                <div class="clearfix"></div>
                            </div>
                        </a>
                    </div>
                </div>
				<?if (!$this->ion_auth->in_group("clients")){?>
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-yellow">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-tasks fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><? echo $new?></div>
                                    <div>Nových úloh!</div>
                                </div>
                            </div>
                        </div>
                        <a href="<?echo base_url()?>tasks">
                            <div class="panel-footer">
                                <span class="pull-left">Zobraziť</span>
                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                <div class="clearfix"></div>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-green">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-check fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><? echo $finished?></div>
                                    <div>Hotových úloh</div>
                                </div>
                            </div>
                        </div>
                        <a href="<?echo base_url()?>tasks">
                            <div class="panel-footer">
                                <span class="pull-left">Zobraziť</span>
                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                <div class="clearfix"></div>
                            </div>
                        </a>
                    </div>
                </div>
                <?}?>
            </div>
            <?if (!$this->ion_auth->in_group("clients")){?>
            <!-- /.row -->
            <div class="row">
                <div class="col-lg-12">
                  
                    <div class="panel panel-default">
                        <div class="panel-heading">
                            <i class="fa fa-bar-chart-o fa-fw"></i> Vaše úlohy
                        </div>
                        <!-- /.panel-heading -->
                        <div class="panel-body">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-hover table-striped">
                                            <thead>
                                                <tr>
                                                    <th>Meno</th>
                                                    <th>Čas</th>
                                                    <th>Stav</th>
													<th>Zobraziť úlohu</th>
												</tr>
                                            </thead>
                                            <tbody>
	                                            <?foreach ($tasks as $task){?>
                                                <tr>
                                                    <td><?echo $task["name"]?></td>
                                                    <td><?echo $task["time"]?></td>
                                                    <td><?echo $task["status"]?></td>
                                                    <td><a href="<?echo base_url()?>tasks/task/<?echo $task["id"]?>" class="btn btn-success"><span class="fa fa-eye"></span>&nbsp;Zobraziť úlohu</a></td>
                                                </tr>
                                                <?}?>                                                                                                                                      </tbody>
                                        </table>
                                    </div>
                                    <!-- /.table-responsive -->
                                </div>
                                <!-- /.col-lg-4 (nested) -->
                                <div class="col-lg-8">
                                    <div id="morris-bar-chart"></div>
                                </div>
                                <!-- /.col-lg-8 (nested) -->
                            </div>
                            <!-- /.row -->
                        </div>
                        <!-- /.panel-body -->
                    </div>
                    <!-- /.panel -->
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
<?}?>