<div class="row">
	<div class="col-lg-12">
		<h1 class="page-header"><?php echo lang('index_heading');?></h1>
	</div>
	<!-- /.col-lg-12 -->
</div>

<div class="row">
	<div class="col-lg-12">
<div id="infoMessage"><?php echo $message;?></div>
	</div>
	<!-- /.col-lg-12 -->
</div>

<div class="row">
	<div class="col-lg-12">
		<div class="panel panel-default">
			<div class="panel-heading">
				<?php echo lang('index_heading');?>
			</div>
			<div class="panel-body">
				<div class="dataTable_wrapper">
<table class="table table-striped table-bordered table-hover">
	<thead>
	<tr>
		<th><?php echo lang('index_fname_th');?></th>
		<th><?php echo lang('index_lname_th');?></th>
		<th><?php echo lang('index_email_th');?></th>
		<th><?php echo lang('index_groups_th');?></th>
		<th><?php echo lang('index_status_th');?></th>
		<th><?php echo lang('index_action_th');?></th>
	</tr>
	</thead>
	<tbody>
	<?php foreach ($users as $user):?>
		<tr>
			<td><?php echo $user->first_name;?></td>
			<td><?php echo $user->last_name;?></td>
			<td><?php echo $user->email;?></td>
			<td>
				<?php foreach ($user->groups as $group):?>
					<?php echo anchor("users/edit_group/".$group->id, $group->name, 'class="btn btn-primary btn-xs"') ;?><br />
				<?php endforeach?>
			</td>
			<td><?php echo ($user->active) ? anchor("users/deactivate/".$user->id, lang('index_active_link'), "class='btn btn-success'") : anchor("users/activate/". $user->id, lang('index_inactive_link'), "class='btn btn-danger'");?></td>
			<td><?php echo anchor("users/edit_user/".$user->id, 'Upraviť', "class='btn btn-warning'") ;?></td>
		</tr>
	<?php endforeach;?>
	</tbody>
</table>
				</div>
			</div>
		</div>
	</div>
</div>
<p> <a href="<?echo base_url()?>users/create_user" class="btn btn-success"><i class="fa fa-plus">&nbsp;</i><?echo lang('index_create_user_link')?></a> 
<a href="<?echo base_url()?>users/create_group" class="btn btn-primary"><i class="fa fa-plus">&nbsp;</i><?echo lang('index_create_group_link')?></a></p>
</p>
